log4j.rootLogger=TRACE, file

log4j.appender.file=org.apache.log4j.RollingFileAppender
log4j.appender.file.File=log/log4j.log

log4j.appender.file.MaxFileSize=100KB
log4j.appender.file.MaxBackupIndex=1

log4j.appender.file.layout=org.apache.log4j.PatternLayout
log4j.appender.file.layout.ConversionPattern=%-4r [%t] %-5p %c %x - %m%n